#include "program.hpp"
#include "runner.hpp"
#include <iostream>
#include <queue>

int main() {
    std::queue<sk::program> queue;
    queue.push(sk::program{"echo $(( 1 + 2 ))",
                           "ghcr.io/moshell-lang/moshell:master"});
    sk::runner runner;
    while (!queue.empty()) {
        const sk::program &current = queue.front();
        sk::run_result res = runner.run_blocking(current);
        std::cout << "out: " << res.out << "\n";
        std::cout << "err: " << res.err << "\n";
        queue.pop();
    }
    return 0;
}
